BcSymmetricKeyUnwrapper (Bouncy Castle Library 1.52 API Specification)
Date: 2015-03-01

org.bouncycastle.operator.bc

## Class BcSymmetricKeyUnwrapper

- java.lang.Object
- - org.bouncycastle.operator.SymmetricKeyUnwrapper
  - - org.bouncycastle.operator.bc.BcSymmetricKeyUnwrapper

- All Implemented Interfaces:
    KeyUnwrapper
  Direct Known Subclasses:
    BcAESSymmetricKeyUnwrapper

      public class BcSymmetricKeyUnwrapper
      extends SymmetricKeyUnwrapper

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BcSymmetricKeyUnwrapper(org.bouncycastle.asn1.x509.AlgorithmIdentifier wrappingAlgorithm, org.bouncycastle.crypto.Wrapper wrapper, org.bouncycastle.crypto.params.KeyParameter wrappingKey)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `GenericKey` | `generateUnwrappedKey(org.bouncycastle.asn1.x509.AlgorithmIdentifier encryptedKeyAlgorithm, byte[] encryptedKey)`
    `BcSymmetricKeyUnwrapper` | `setSecureRandom(java.security.SecureRandom random)`

    - ### Methods inherited from class org.bouncycastle.operator.SymmetricKeyUnwrapper

      `getAlgorithmIdentifier`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BcSymmetricKeyUnwrapper

          public BcSymmetricKeyUnwrapper(org.bouncycastle.asn1.x509.AlgorithmIdentifier wrappingAlgorithm,
                                 org.bouncycastle.crypto.Wrapper wrapper,
                                 org.bouncycastle.crypto.params.KeyParameter wrappingKey)

  - ### Method Detail

    - #### setSecureRandom

          public BcSymmetricKeyUnwrapper setSecureRandom(java.security.SecureRandom random)

    - #### generateUnwrappedKey

          public GenericKey generateUnwrappedKey(org.bouncycastle.asn1.x509.AlgorithmIdentifier encryptedKeyAlgorithm,
                                        byte[] encryptedKey)
                                          throws OperatorException

      Throws:
        `OperatorException`